Subject: Re: [PATCH] Ebony's UBoot awareness

From: Matt Porter <[email-masked]>
Date: Wed, 23 Feb 2005 14:20:46 -0700

On Wed, Feb 23, 2005 at 11:12:47AM -0800, Eugene Surovegin wrote:
> On Wed, Feb 23, 2005 at 12:01:23PM -0700, Tom Rini wrote:
> > > +#include "../../../../drivers/net/ibm_emac/ibm_emac_phy.h"
> > 
> > This will not work with O= for example.  The correct method is to modify
> > the Makefile with a CFLAGS_foo.o += -Idrivers/net/ibm_emac
> 
> I just tested and it does work even with O= :).
> 
> OTOH, I agree this is ugly hack (it was copied from ocotea.c, so blame 
> Matt for it :) and should be fixed correctly by moving those PHY 
> defines to some common include.

Ugh, yes...in my defense I clearly stated it was an "ugly hack". :)
 
-Matt